Summary: ircd - an IRC server
Name: ircd
Version: 2.9.2
Release: 4
Source: irc2.9.2.tgz 
Source1: ircd.init
Patch: ircd-2.9.2-3.patch
Copyright: distribuable
Group: Networking/Daemons
Buildroot: /tmp/ircd-root

%changelog

* Sat Jan 10 1998 ObiTuarY <Obituary@cybernet.be>

Added oper kill and other oper stuff.

Ln would fail when rebuilding two times in a row.

%description
This is the standard IRC server, allow you to connect 
to an IRC network as hub, or simply add local IRC
to your local area network.

%prep
%setup -n irc2.9.2
%patch -p1
%build
make
cp config.h Linux-`uname -r`/
cp Makefile-linux Linux-`uname -r`/Makefile
cd Linux-`uname -r`/
make

%pre
export PATH=/bin:/usr/bin:$PATH
TMP=`grep ^irc: /etc/passwd`
if [ "$TMP" = "" ]; then
   while [ -r /etc/.pwd.lock ]; do sleep 5 ; done
   touch /etc/.pwd.lock
   cp /etc/passwd /etc/passwd-
   IRC_UID=406
   while grep "[^:]*:[^:]*:$IRC_UID:.*" /etc/passwd > /dev/null
   do IRC_UID=`expr $IRC_UID + 1` ; done
   FTP_GID=`grep ^ftp: /etc/group | cut -d':' -f3`
   if [ "$FTP_GID" = "" ]; then
	FTP_GID=50
	cp /etc/group /etc/group-
	while grep "[^:]*:[^:]*:$FTP_GID:.*" /etc/group > /dev/null
	do FTP_GID=`expr $FTP_GID + 1` ; done
	echo "ftp::${FTP_GID}:" >> /etc/group
   fi
   echo "irc:*:${IRC_UID}:${FTP_GID}:ircd:/tmp:" >> /etc/passwd
   rm /etc/.pwd.lock
fi


%install
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT ; fi
fi
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc0.d,rc1.d,rc2.d,rc3.d,rc5.d,rc6.d}
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cd Linux-`uname -r`/
install -s -m 2711 -o irc -g tty ircd $RPM_BUILD_ROOT/usr/sbin
install -s -m 700 chkconf $RPM_BUILD_ROOT/usr/sbin
install -m 644 ../doc/ircd.8 $RPM_BUILD_ROOT/usr/man/man8
install -m 600 -o irc ../doc/example.conf $RPM_BUILD_ROOT/etc/ircd.conf
touch $RPM_BUILD_ROOT/etc/ircd.motd
install -m 755 $RPM_SOURCE_DIR/ircd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/ircd
gzip -9nf $RPM_BUILD_ROOT/usr/man/man?/*
for i in 0 1 6 ; do
ln -sf ../init.d/ircd ${RPM_BUILD_ROOT}/etc/rc.d/rc${i}.d/K13ircd
done
for i in 3 5 ; do
ln -sf ../init.d/ircd ${RPM_BUILD_ROOT}/etc/rc.d/rc${i}.d/S97ircd
done

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then rm -rf $RPM_BUILD_ROOT ; fi

%files
%doc doc/[A-Z]* doc/alt-irc-faq doc/example.conf doc/m4macros
%config /etc/ircd.*
%config /etc/rc.d/*.d/*ircd
/usr/sbin/ircd
/usr/sbin/chkconf
/usr/man/man8/ircd.8.gz
